For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a contact
      • GETList contacts
      • GETGet a contact
      • PATCHUpdate a contact
      • DELDelete a contact
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIContacts

List contacts

||View as Markdown|
GET
/contacts
GET
/v2/contacts
$curl https://api.synthflow.ai/v2/contacts \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1{
2 "status": "ok",
3 "response": {
4 "items": [
5 {
6 "id": "9ad09ad3-9c22-441e-ae35-c05016a09786",
7 "name": "Jane Doe",
8 "phone_number": "+14155552671",
9 "email": "jane.doe@example.com",
10 "contact_metadata": {
11 "preferred_contact_time": "afternoon",
12 "tags": [
13 "client",
14 "priority"
15 ]
16 },
17 "workspace_id": "workspace-123",
18 "created_at": "2023-11-15T09:30:00Z",
19 "updated_at": "2024-04-20T16:45:00Z",
20 "memory_store_ids": [
21 "mem-00123"
22 ]
23 }
24 ],
25 "total": 1,
26 "page_size": 10,
27 "page_number": 1
28 }
29}
Was this page helpful?
Previous

Get a contact

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

searchstringOptional
The contact's phone number.

Response

200
statusstring
responseobject